<script>
    async function getCatalog() {
        const res = await fetch('http://macbookpro.local:9000/hapi-r/catalog');
        const jsondata = await res.json();
        if (res.ok) {
            return jsondata.catalog;
        } else {
            throw new Error(res)
        }
    }
    let promise = getCatalog();

</script>

{#await promise}
    <p>...waiting for catalog</p>
{:then response}
    <select>
    {#each response.sort((a,b) => (a.title > b.title) ? 1 : ((b.title > a.title) ? -1 : 0)) as catalogitem}
        <option>{catalogitem.title}</option>
    {/each}
    </select>
{:catch error}
    <p style="color: red">Error reading catalog: {error.message}</p>
{/await}

<style>
    select{
        width: 300px;
        text-align: left;
    }
</style>
